# Bump this as appropriate when doing release updates, check i.e. with abi_compliance_checker
# First digit: major, bump when incompatible changes were performed
# Second digit: minor, bump when interface was extended
%global so_ver 4.0.1

Name:           mmg3d
Version:        4.0.3
Release:        7%{?dist}
Summary:        Anisotropic Tetrahedral Remesher / Moving Mesh Generator

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://www.math.u-bordeaux1.fr/~dobrzyns/logiciels/mmg3d.php
Source0:        https://gforge.inria.fr/frs/download.php/file/34531/%{name}4-%{version}-Source.tar.gz

# Fix install directories, pass soname for the shared library
Patch0:         mmg3d_cmake.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  scotch-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
Anisotropic Tetrahedral Remesher / Moving Mesh Generator. Anisotropic mesh
adaptation methods are used to control the accuracy of numerical solution
while simultaneously reducing the number of mesh vertices to a minimum.


%package libs
Summary:        Library of %{name}

%description libs
Libraries for %{name}.


%package devel
Summary:        Development with %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Header files for %{name}.


%prep
%autosetup -p1 -n %{name}4-%{version}-Source


%build
LDFLAGS="%{__global_ldflags} -Wl,--as-needed" %cmake \
    -DLIBMMG3D4_STATIC=OFF \
    -DLIBMMG3D4_SHARED=ON \
    -DCMAKE_SKIP_RPATH=ON \
    -DSO_VER=%{so_ver} .
%make_build
make %{?_smp_mflags}


%install
%make_install


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%{_bindir}/%{name}4

%files libs
%doc README.txt
%license Copyright.txt
%{_libdir}/lib%{name}4.so.*

%files devel
%{_includedir}/*
%{_libdir}/lib%{name}4.so


%changelog
* Mon Feb 19 2018 Sandro Mani <manisandro@gmail.com> - 4.0.3-7
- Add missing BR: gcc, make

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Sandro Mani <manisandro@gmail.com> - 4.0.3-1
- Update to 4.0.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 Sandro Mani <manisandro@gmail.com> - 4.0.2-1
- Update to 4.0.2

* Sat Jan 03 2015 Sandro Mani <manisandro@gmail.com> - 4.0.1-4
- Pass soname from spec
- Merge patches together

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 09 2014 Sandro Mani <manisandro@gmail.com> - 4.0.1-2
- Add -Wl,--as-needed

* Sat Jun 14 2014 Sandro Mani <manisandro@gmail.com> - 4.0.1-1
- Update to 4.0.1
- Spec cleanup

* Fri Jan 17 2014 Alexey Vasyukov <vasyukov@gmail.com> - 4.0.0-2
- Disable scotch
- Fix soname and lib install issues

* Fri Jan 17 2014 Alexey Vasyukov <vasyukov@gmail.com> - 4.0.0-1
- Initial package for Fedora

